--credits to funkydude for some fabulous display mover code
local dzafmover = CreateFrame("Frame", "DZAFMoverFrame", UIParent)
dzafmover:RegisterEvent("PLAYER_LOGIN")
dzafmover:RegisterEvent("ZONE_CHANGED_NEW_AREA")
local addon, combat, lock, unlock, show, hidden = "|cff69CCF0DZAFMover|r ", "|cffC41F3BCURRENTLY IN COMBAT!! Try after|r", "|cff00cd00Locked!|r", "|cffC41F3BUnlocked!|r", "|cff00cd00Showing!|r", "|cffC41F3BHidden!|r"
local help = 
[[|cff69CCF0DZAFMover|r |cffFFF569Commands:
/dzaf lock - lock/unlock
/dzaf hide - hide/show|r
]]
dzafmover:SetScript("OnEvent", function(display)
	if not DZAFMoverDB then
		DZAFMoverDB = {}
	end

	if not DZAFMoverDB.ver then
		DZAFMoverDB.ver = GetAddOnMetadata("DZAFMover", "Version")
		print(help)
	end

	local function display_OnEnter(self)
		GameTooltip_SetDefaultAnchor(GameTooltip, UIParent)
		GameTooltip:SetText(help)
		GameTooltip:ClearAllPoints()
		GameTooltip:SetPoint("LEFT", display, "TOP", 75, 15)
		GameTooltip:Show()
	end

	local function display_OnLeave(self)
		GameTooltip:Hide()
	end

	local map = GetCurrentMapContinent()
	if (map == 7) then
		display:SetBackdrop({bgFile = "Interface\\Tooltips\\UI-Tooltip-Background"})
		display:SetFrameStrata("BACKGROUND")
		display:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
		display:SetBackdropColor(0,1,0)
		display:SetWidth(250)
		display:SetHeight(195)
		display:Show()
		display:EnableMouse(true)
		display:RegisterForDrag("LeftButton")
		display:SetMovable(true)
		display:SetScript("OnDragStart", function(frame) frame:StartMoving() end)
		display:SetScript("OnDragStop", function(frame)
			frame:StopMovingOrSizing()
			local s = frame:GetEffectiveScale()
			DZAFMoverDB.x = frame:GetLeft() * s
			DZAFMoverDB.y = frame:GetTop() * s
		end)
		display:SetScript("OnEnter", display_OnEnter)
		display:SetScript("OnLeave", display_OnLeave)

		if DZAFMoverDB.x and DZAFMoverDB.y then
			local s = display:GetEffectiveScale()
			display:ClearAllPoints()
			display:SetPoint("TOPLEFT", "UIParent", "BOTTOMLEFT", DZAFMoverDB.x / s, DZAFMoverDB.y / s)
		end

		if DZAFMoverDB.lock then
			display:SetBackdropColor(0,1,0,0)
			display:EnableMouse(false)
			display:SetMovable(false)
		end

		if DZAFMoverDB.hide then
			DraenorZoneAbilityFrame:EnableMouse(false)
			DraenorZoneAbilityFrame:SetAlpha(0)
			DraenorZoneAbilityFrame.SpellButton:EnableMouse(false)
			DraenorZoneAbilityFrame.SpellButton:SetAlpha(0)
			if display then
				display:Hide()
			end
		end

		local mover = DraenorZoneAbilityFrame.SetPoint
		DraenorZoneAbilityFrame:ClearAllPoints()
		mover(DraenorZoneAbilityFrame, "CENTER", display, "CENTER")
		hooksecurefunc(DraenorZoneAbilityFrame, "SetPoint", function(frame)
			frame:ClearAllPoints()
			mover(frame, "CENTER", display, "CENTER")
		end)
	end

	SlashCmdList.DZAFMOVER = function(msg)
		if InCombatLockdown() then
			print(addon..combat)
			return
		end
		if msg:lower() == "lock" then
			if not DZAFMoverDB.lock then
				display:SetBackdropColor(0,1,0,0)
				display:EnableMouse(false)
				display:SetMovable(false)
				DZAFMoverDB.lock = true
				print(addon..lock)
			else
				display:SetBackdropColor(0,1,0,1)
				display:EnableMouse(true)
				display:SetMovable(true)
				DZAFMoverDB.lock = nil
				print(addon..unlock)
			end
		elseif msg:lower() == "hide" then
			if not DZAFMoverDB.hide then
				DraenorZoneAbilityFrame:EnableMouse(false)
				DraenorZoneAbilityFrame:SetAlpha(0)
				DraenorZoneAbilityFrame.SpellButton:EnableMouse(false)
				DraenorZoneAbilityFrame.SpellButton:SetAlpha(0)
				if display then
					display:Hide()
				end
				DZAFMoverDB.hide = true
				print(addon..hidden)
			else
				DraenorZoneAbilityFrame:EnableMouse(true)
				DraenorZoneAbilityFrame:SetAlpha(1)
				DraenorZoneAbilityFrame.SpellButton:EnableMouse(true)
				DraenorZoneAbilityFrame.SpellButton:SetAlpha(1)
				if display then
					display:Show()
				end
				DZAFMoverDB.hide = nil
				print(addon..show)
			end
		else
			print(help)
		end
	end
	SLASH_DZAFMOVER1 = "/dzaf"
	display:UnregisterEvent("PLAYER_LOGIN")
end)
